# Gamelab
### A mini development boilerplate for JavaScript webapps

Gamelab is designed to be a transparent, miniature and powerful boilerplate for writing JavaScript applications. A basic gamelab project has everything you need to build both a client and a server application quickly and easily. Features the best of the modern web: NodeJS, Socket.io, Express and EJS head up the back-end, while Bower, jQuery, Angular, Bootstrap, and SASS flush out the front-end. Gamelab is written in pure JavaScript, but will automatically compile your CoffeeScript all the same!

### Getting Started (new project)

    npm install gamelab

or

    git clone git@github.com:erulabs/gamelab.git
    cd gamelab && npm install

Add gamelab.js to your path, then

### create a new project!

    gamelab.js init MyAwesomeProject

Install deps (runs 'npm install' and 'bower install')

    cd MyAwesomeProject
    gamelab.js install

Run the development server!

    gamelab.js server
